clang 10.0.0git

Public Attributes | List of all members
clang::ExternalASTMerger::DCOrigin Struct Reference

A single origin for a DeclContext. More...

`#include "clang/AST/ExternalASTMerger.h"`

Collaboration diagram for clang::ExternalASTMerger::DCOrigin:
[legend]

## Public Attributes
DeclContext * | DC
ASTContext * | AST

## Detailed Description

A single origin for a DeclContext.

Unlike Decls, DeclContexts do not allow their containing ASTContext to be determined in all cases.

Definition at line 52 of file ExternalASTMerger.h.

## Member Data Documentation

## ◆ AST

ASTContext* clang::ExternalASTMerger::DCOrigin::AST

Definition at line 54 of file ExternalASTMerger.h.

Referenced by clang::ExternalASTMerger::ForceRecordOrigin(), clang::ExternalASTMerger::ImporterSource::getASTContext(), and clang::ExternalASTMerger::MaybeRecordOrigin().

## ◆ DC

DeclContext* clang::ExternalASTMerger::DCOrigin::DC

Definition at line 53 of file ExternalASTMerger.h.

Referenced by clang::ExternalASTMerger::ForceRecordOrigin(), clang::ExternalASTMerger::ImporterSource::getMerger(), and clang::ExternalASTMerger::MaybeRecordOrigin().

The documentation for this struct was generated from the following file:

- include/clang/AST/ExternalASTMerger.h